<script setup lang="ts">
import { onMounted } from 'vue'
import ProductTable from './ProductTable.vue'
import { useProductStore } from '@/stores/product'
import { usePermissionStore } from '@/stores/permission'
const permissionStore = usePermissionStore()
const productStore = useProductStore()
onMounted(async () => {
  if (!permissionStore.isEmp()) {
    permissionStore.pushMember()
  }
  await productStore.getProducts()
  //await productStore.getProductCategory()
  console.log('finish')
})
</script>
<template>
  <div>
    <v-toolbar flat style="background-color: #282828; color: white">
          <v-toolbar-title>PRODUCT</v-toolbar-title>
          <v-spacer></v-spacer>
          <v-text-field
            v-model="productStore.search"
            prepend-inner-icon="mdi-magnify"
            density="compact"
            label="Search"
            single-line
            flat
            hide-details
            variant="solo-filled"
            style="width: 1px; margin-right: 10px"
          ></v-text-field>
          <v-btn
        prepend-icon="mdi-plus"
        style="background-color: #c7a17a; color: white"
        @click="productStore.openDialog"
        >Product Add</v-btn
      >
    </v-toolbar>
    <br />
    <div ></div>
    <v-row>
      
    </v-row>
   
    <v-row no-gutters>
        <product-table></product-table>
    </v-row>





  </div>
</template>

<style></style>
